For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

Cancel Thread Task

DELETE
https://sandbox.api.boosted.ai/v2/threads/:thread_id/task
DELETE
/v2/threads/:thread_id/task
$curl -X DELETE https://sandbox.api.boosted.ai/v2/threads/thread_id/task \
> -H "Authorization: Bearer <token>"
1{
2 "success": true
3}

Cancel the currently running task in a thread.

This endpoint cancels any active task associated with the specified thread. This is useful for stopping long-running operations. The endpoint returns the success status of the cancellation operation.

This endpoint will append a “User cancelled message” message to whatever has been streamed so far.

Was this page helpful?
Previous

Upload File

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Path parameters

thread_idstringRequired

Response

Successful Response
successbooleanDefaults to true

Errors

422
Unprocessable Entity Error